MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025747Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-01-23 18:372015-05-14 15:32
Reporterdbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025747: Bad IGES file after import and export with different units
DescriptionBad IGES file is produced in case when it was read and then written with a different unit value.
Steps To ReproduceCheck attached script
TagsNo tags attached.
Test case numberbugs iges(003) bug25747
Attached Files? file icon test.tcl (294 bytes) 2015-01-23 18:37
png file icon good.png (27,851 bytes) 2015-01-23 18:37
png file icon bad.png (29,589 bytes) 2015-01-23 18:37
? file icon pencil.igs (208,980 bytes) 2015-02-19 11:52

- Relationships

-  Notes
(0037583)
git (administrator)
2015-02-16 18:17

Branch CR25747 has been created by dbv.

SHA-1: 97fbe2dfea89e25bcceba2ec8a7cb772f1163625


Detailed log of new commits:

Author: dbv
Date: Mon Feb 16 18:16:42 2015 +0300

    - Fixed ellipse curve radius scale
    - Fixed hyperbola curve radius scale
    - Fixed plane surface scale
    - Fixed cylindrical, conical, spherical, toroidal radius and axis scale
(0037584)
dbv (developer)
2015-02-16 18:18

Patch is ready to be reviewed in branch CR25747

Dear gka, please review.
(0037585)
gka (developer)
2015-02-16 18:45

Branch CR25747 is ready to be tested
(0037713)
mkv (tester)
2015-02-19 17:50

Dear BugMaster,
Branch CR25747 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 97fbe2dfea89e25bcceba2ec8a7cb772f1163625

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25747-master-occt/Debian60-64/bugs/iges/bug25747.html [^]
http://occt-tests/CR25747-master-occt/Windows-32-VC10/bugs/iges/bug25747.html [^]
bugs iges(003) bug25747: FAILED

Testing on Linux:
occt component :
Total MEMORY difference: 84902955 / 86135871
Total CPU difference: 49091.38000000032 / 48446.16999999995
products component :
Total MEMORY difference: 23455327 / 23482650
Total CPU difference: 15783.379999999986 / 15863.79999999999

Testing on Windows:
occt component :
Total MEMORY difference: 40697944 / 40708229
Total CPU difference: 34602.578125 / 34798.1875
products component :
Total MEMORY difference: 11056707 / 11104501
Total CPU difference: 10561.5 / 12082.625

There are no differences in images found by testdiff.
(0037714)
git (administrator)
2015-02-19 17:50

Branch CR25747 has been updated by mkv.

SHA-1: 4dc8b4279e9145ec33ce24b5f3edf700a36ffc00


Detailed log of new commits:

Author: mkv
Date: Thu Feb 19 17:49:30 2015 +0300

    Test case for issue CR25747

(0037715)
mkv (tester)
2015-02-19 17:51

Dear dbv,
could you please review test case
bugs iges(003) bug25747
(0037717)
git (administrator)
2015-02-19 18:03

Branch CR25747 has been updated by dbv.

SHA-1: d0443299dd446ba010a09d9df7fcdf0cc5960586


Detailed log of new commits:

Author: dbv
Date: Thu Feb 19 18:02:43 2015 +0300

    Test case update

(0037718)
dbv (developer)
2015-02-19 18:05

Dear mkv,

test case has been updated. Please test the patch.
(0037770)
mkv (tester)
2015-02-20 19:26

Test case bugs/iges(003)/bug25747: OK.
Branch CR25747 is TESTED.
(0038575)
git (administrator)
2015-03-18 13:37

Branch CR25747 has been deleted by inv.

SHA-1: d0443299dd446ba010a09d9df7fcdf0cc5960586

- Related Changesets
occt: master a1096551
Timestamp: 2015-02-26 09:47:41
Author: dbv
Committer: bugmaster
Details ] Diff ]
0025747: Bad IGES file after import and export with different units

- Fixed ellipse curve radius scale
- Fixed hyperbola curve radius scale
- Fixed plane surface scale
- Fixed cylindrical, conical, spherical, toroidal radius and axis scale

Test case for issue CR25747
mod - src/GeomToIGES/GeomToIGES_GeomCurve.cxx Diff ] File ]
mod - src/GeomToIGES/GeomToIGES_GeomSurface.cxx Diff ] File ]
mod - src/IGESGeom/IGESGeom_ConicArc.cxx Diff ] File ]
add - tests/bugs/iges/bug25747 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-23 18:37 dbv New Issue
2015-01-23 18:37 dbv Assigned To => dbv
2015-01-23 18:37 dbv File Added: test.tcl
2015-01-23 18:37 dbv File Added: good.png
2015-01-23 18:37 dbv File Added: bad.png
2015-01-23 18:38 dbv Relationship added parent of 0025688
2015-01-23 18:38 dbv Status new => assigned
2015-02-16 18:17 git Note Added: 0037583
2015-02-16 18:18 dbv Note Added: 0037584
2015-02-16 18:18 dbv Assigned To dbv => gka
2015-02-16 18:18 dbv Status assigned => resolved
2015-02-16 18:45 gka Note Added: 0037585
2015-02-16 18:45 gka Assigned To gka => bugmaster
2015-02-16 18:45 gka Status resolved => reviewed
2015-02-16 20:44 mkv Assigned To bugmaster => mkv
2015-02-19 11:52 dbv File Added: pencil.igs
2015-02-19 17:50 mkv Note Added: 0037713
2015-02-19 17:50 git Note Added: 0037714
2015-02-19 17:51 mkv Note Added: 0037715
2015-02-19 17:51 mkv Assigned To mkv => dbv
2015-02-19 17:51 mkv Status reviewed => assigned
2015-02-19 17:51 mkv Test case number => bugs iges(003) bug25747
2015-02-19 18:03 git Note Added: 0037717
2015-02-19 18:03 dbv Status assigned => resolved
2015-02-19 18:05 dbv Note Added: 0037718
2015-02-19 18:05 dbv Assigned To dbv => mkv
2015-02-19 18:05 dbv Status resolved => reviewed
2015-02-20 19:26 mkv Note Added: 0037770
2015-02-20 19:26 mkv Assigned To mkv => bugmaster
2015-02-20 19:26 mkv Status reviewed => tested
2015-02-27 16:53 bugmaster Changeset attached => occt master a1096551
2015-02-27 16:53 bugmaster Status tested => verified
2015-02-27 16:53 bugmaster Resolution open => fixed
2015-03-18 13:37 git Note Added: 0038575
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker